Bug 74780 - EDITING: Text after input field is partially lost when editing template
Summary: EDITING: Text after input field is partially lost when editing template
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.2.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-02-10 09:57 UTC by Anton Derbenev
Modified: 2014-02-14 14:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
file, which will loose some text after editing (33.07 KB, application/vnd.oasis.opendocument.text-template)
2014-02-10 09:57 UTC, Anton Derbenev
Details
original file from 2012-11-13, which was last ok (15.84 KB, application/vnd.oasis.opendocument.text-template)
2014-02-10 10:08 UTC, Anton Derbenev
Details
Visual artifacts from 4.2.1.1 (10.43 KB, image/png)
2014-02-14 12:37 UTC, Anton Derbenev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Derbenev 2014-02-10 09:57:46 UTC
Created attachment 93750 [details]
file, which will loose some text after editing

Problem description: 

Steps to reproduce:
1. Open attached template. You'll already see corruption, there will be "Адрес e-mail: r.ru" insntead of "Адрес e-mail: mobilmir.ru" on the 3rd line
2. Try to edit the line, for example, append "mobilmi" before "r.ru", or even just remove text after input field till end of the line.
3. Save the file and open it again.

Current behavior:
Several characters (7 it seems) after input field are lost

Expected behavior:
text stays intact
Operating System: Windows XP
Version: 4.2.0.4 release
Last worked in: 4.1.3.2 release
Comment 1 Anton Derbenev 2014-02-10 10:08:00 UTC
Created attachment 93751 [details]
original file from 2012-11-13, which was last ok
Comment 2 Anton Derbenev 2014-02-10 11:24:16 UTC
by "open" I mean template edition, not creating new document based on one.

My command line for "open" is:
"C:\Program Files\LibreOffice 4\program\swriter.exe"  -o "D:\Users\LogicDaemon\Documents\Google Drive\IT\свои\Спецификации\Шаблоны\Для новых пользователей\учётная запись почты.ott"
Comment 3 Jorendc 2014-02-11 18:51:26 UTC
Looks very related to https://issues.apache.org/ooo/show_bug.cgi?id=124178
That fix is ported to LibreOffice to (see commit http://cgit.freedesktop.org/libreoffice/core/commit/?id=91f509fda9a04670e0752a214188be87bce1f2ac)

Currently our daily-builds are broken. When they are back up and running we might check this using latest version which includes this fix.

Kind regards,
Joren
Comment 4 Jorendc 2014-02-11 21:47:21 UTC
@Caolan: please see Comment 3. Will it be 'dangerous' to backport that commit to LibreOffice 4.2-branch anyway? Thanks in advance for your time.

Kind regards,
Joren
Comment 5 Commit Notification 2014-02-12 11:47:28 UTC
Oliver-Rainer Wittmann committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e46392bbe25028528086a43a4c414dcb0acde401&h=libreoffice-4-2

Resolves: fdo#74780 #i124178# correct export of User Variable Input Fields


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Anton Derbenev 2014-02-14 12:37:14 UTC
Created attachment 94059 [details]
Visual artifacts from 4.2.1.1

I've tried 4.2.1.1 (from http://dev-builds.libreoffice.org/pre-releases/win/x86/LibreOffice_4.2.1.1_Win_x86.msi) and not only corrupts the text, it adds visual artifacts after input fields (letters Axu).
They're clearly visible on screenshot fragment.
Comment 7 Jorendc 2014-02-14 13:16:45 UTC
(In reply to comment #6)
> Created attachment 94059 [details]
> Visual artifacts from 4.2.1.1
> 
> I've tried 4.2.1.1 (from
> http://dev-builds.libreoffice.org/pre-releases/win/x86/LibreOffice_4.2.1.
> 1_Win_x86.msi) and not only corrupts the text, it adds visual artifacts
> after input fields (letters Axu).
> They're clearly visible on screenshot fragment.

Thanks for testing.

Lets mark this as REOPENED.
@Anton: are those artifacts reproducible with every template containing input fields?

Kind regards,
Joren
Comment 8 Anton Derbenev 2014-02-14 14:00:06 UTC
wait!
No issue with libo-42~2014-02-14_09.26.26_LibreOfficeDev_4.2.2.0.0_Win_x86.msi, templates seem to be working well.

@Jorendc When opening other templates created with previous (before 4.2) LO versions, same problems appear. But when I create a new one, this problem does not reproduce.

Yet other problems appear, Gonna go create new bug.